# parallel\Events\Input::add

(0.9.0)

parallel\Events\Input::add — Inputs

### Description

public parallel\Events\Input::add ( string `$target` , mixed `$value` ) : void

Shall set input for the given target

### Exceptions

Warning

Shall throw \parallel\Events\Input\Error\Existence if input for target already exists.

Warning

Shall throw \parallel\Events\Input\Error\IllegalValue if value is illegal (object, null).